
Redmine - Defect #2717

Time-log not working when not part of the project (but admin)

2009-02-11 11:32 - Jens Berlips

Status: Closed Start date: 2009-02-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed Affected version:  

Description

To replicate:

You are admin

You are not part of the project that you have an issue in

Go to the issue

Log time in an udpate (not tested with normal time-log)

The log is not saved.

Associated revisions

Revision 2463 - 2009-02-13 18:59 - Jean-Philippe Lang

Timelog is ignored when updating an issue if user is admin but not a project member (#2717).

History

#1 - 2009-02-11 11:34 - Jens Berlips

It does work when you press the "log time" at the top, but not inside an update.

#2 - 2009-02-13 18:59 - Jean-Philippe Lang

- Category set to Time tracking

- Status changed from New to Resolved

- Target version set to 0.8.1

- Affected version (unused) set to 0.8.0

- Resolution set to Fixed

Confirmed and fixed in r2463.

#3 - 2009-02-15 10:17 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8 branch in r2469.
